INSERT INTO admin.tb_lib_right
	(fs_right_user_id, fs_right_obj_id, fs_right_read, 
	 fs_right_update, fs_right_insert, fs_right_delete, 
	 fs_right_access)  
   SELECT fs_user_id, fs_obj_id,   
          '0', '0', '0', '0', '1' 
     FROM admin.tb_lib_obj, admin.tb_lib_user  
    WHERE admin.tb_lib_obj.fs_obj_sez = 'AREE';


INSERT INTO admin.tb_lib_right
	(fs_right_user_id, fs_right_obj_id, fs_right_read, 
	 fs_right_update, fs_right_insert, fs_right_delete, 
	 fs_right_access)  
   SELECT fs_user_id, fs_obj_id,   
          '1', '1', '1', '1', '1' 
     FROM admin.tb_lib_obj, admin.tb_lib_user  
    WHERE (admin.tb_lib_obj.fs_obj_sez <> 'AREE') AND
			 (admin.tb_lib_obj.fs_obj_sez <> 'SEC') AND
			 (admin.tb_lib_user.fs_user_id <> 'guest');

INSERT INTO admin.tb_lib_right
	(fs_right_user_id, fs_right_obj_id, fs_right_read, 
	 fs_right_update, fs_right_insert, fs_right_delete, 
	 fs_right_access)  
   SELECT fs_user_id, fs_obj_id,   
          '1', '0', '0', '0', '1' 
     FROM admin.tb_lib_obj, admin.tb_lib_user  
    WHERE (admin.tb_lib_obj.fs_obj_sez <> 'AREE') AND
			 (admin.tb_lib_obj.fs_obj_sez <> 'SEC') AND
			 (admin.tb_lib_user.fs_user_id = 'guest');

INSERT INTO admin.tb_lib_right
	(fs_right_user_id, fs_right_obj_id, fs_right_read, 
	 fs_right_update, fs_right_insert, fs_right_delete, 
	 fs_right_access)  
   SELECT fs_user_id, fs_obj_id,   
          '1', '1', '1', '1', '1' 
     FROM admin.tb_lib_obj, admin.tb_lib_user  
    WHERE (admin.tb_lib_obj.fs_obj_sez = 'SEC') AND
			 (admin.tb_lib_user.fs_user_id = 'administrator');


